package main

import "fmt"

type UserID int

func main() {
	idx := 1
	var uid UserID = 42

	// дажу если базовый тип одинаковый, разные типы несовместимы
	// cannot use uid (type UserID) as type int64 in assigment
	// myID := idx

	myID := UserID(idx)

	fmt.Println(uid, myID)

}
